# $Revision: 1.101 $, $Date: 2010/05/23 17:56:29 $
#
# Conditional build:
%bcond_without	dietlibc	# don't build static dietlibc library
#
Summary:	C library for parsing command line parameters
Summary(de.UTF-8):	C-Library zum Parsen von Befehlszeilenparametern
Summary(fr.UTF-8):	Bibliothèque C pour analyser les paramètres de la ligne de commande
Summary(pl.UTF-8):	Biblioteka C do przetwarzania parametrów przekazywanych do programów w linii poleceń
Summary(ru.UTF-8):	Библиотека C для разбора параметров командной строки
Summary(tr.UTF-8):	Komut satırı parametrelerini ayrıştırımak için C arşivi
Summary(uk.UTF-8):	Бібліотека C для розбору параметрів командної стрічки
Name:		popt
Version:	1.16
Release:	1
License:	X Consortium (MIT-like)
Group:		Libraries
Source0:	http://rpm5.org/files/popt/%{name}-%{version}.tar.gz
# Source0-md5:	3743beefa3dd6247a73f8f7a32c14c33
Patch1:		%{name}-diet.patch
URL:		http://rpm5.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1.4
%{?with_dietlibc:BuildRequires:	dietlibc-static >= 2:0.31-5}
BuildRequires:	gettext-devel >= 0.11.5
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't require very fresh rpm.macros to build
%define		__gettextize	gettextize --copy --force ; cp -f po/Makevars{.template,}

# for some reason known only to rpm there must be "\\|" not "\|" here
%define		dietarch	%(echo %{_target_cpu} | sed -e 's/i.86\\|pentium.\\|athlon/i386/;s/amd64/x86_64/;s/armv.*/arm/')
%define		dietlibdir	%{_prefix}/lib/dietlibc/lib-%{dietarch}

%description
Popt is a C library for passing command line parameters. It was heavily
influenced by the getopt() and getopt_long() functions, but it allows
more powerful argument expansion. It can parse arbitrary argv[] style
arrays and automatically set variables based on command line
arguments. It also allows command line arguments to be aliased via
configuration files and includes utility functions for parsing
arbitrary strings into argv[] arrays using shell-like rules.

%description -l de.UTF-8
Popt ist eine C-Library zum Parsen von Befehlszeilenparametern, stark
beeinflußt von den getopt() und getopt_long()-Funktionen, aber mit
sehr viel besserer Argumenterweiterung. Es können beliebige
argv[]-Argument- Arrays geparst und Variablen auf der Basis von
Befehlszeilenargumenten automatisch gesetzt werden. Ferner können
Befehlszeilenargumente über Konfigurationsdateien ge-aliast werden,
und die Library enthält Utility- funktionen zum Parsen beliebiger
Strings in argv[]-Arrays anhand von Shell-ähnlichen Regeln.

%description -l fr.UTF-8
Popt est une bibliothèque C pour analyser les paramêtres de la ligne
de commande. Elle a été beaucoup influencée par les fonctions getopt()
et getopt_long() mais permet une expansion plus puissante des
arguments. Elle peut analyser des tableaux arbitraires du style argv[]
et configure les variables automatiquement selon les arguments de la
ligne de commande. Elle permet aussi à ces arguments d'être des alias
via des fichiers de configuration et inclut des fonctions utilitaires
pour analyser des chaînes arbitraires dans les tableaux argv[] en
utilisant des règles à la shell

%description -l pl.UTF-8
Popt jest biblioteką C służącą przetwarzaniu parametrów wywołania.
Duży wpływ miały na nią getopt() i getopt_long(), ale ma od nich
znacznie większe możliwości. Może przetwarzać bezpośrednio tablice
typu argv[] i automatycznie ustawiać zmienne w oparciu i parametry
wywołania. Pozwala także na tworzenie związków pomiędzy argumentami
wywołania a plikami konfiguracyjnymi oraz pozwala zamieniać ciągi
znaków na tablice typu argv[] z wykorzystaniem zasad znanych z powłok
(shelli).

%description -l ru.UTF-8
Popt - это библиотека C для разбора параметров командной строки. Она
построена по образу и подобию функций getopt() и getopt_long(), но в
отличие от последних позволяет более мощное расширение аргументов. Она
может разбирать произвольные массивы в стиле argv[] и автоматически
устанавливать переменные в зависимости от аргументов командной строки.
Также она позволяет создавать алиасы через конфигурационные файлы и
включает функции для разбора произвольных строк в массивах argv[] с
использованием шелл-подобных правил.

%description -l tr.UTF-8
Popt, komut satırı parametrelerini ayrıştıran bir C arşividir.
Gelişigüzel argv[] tarzı dizileri ayrıştırabilir ve otomatik olarak
komut satırı değişkenlerine dayalı değişkenleri atayabilir.

%description -l uk.UTF-8
Popt - це бібліотека C для розбору параметрів командної стрічки. Вона
побудована на кшталт функцій getopt() та getopt_long(), але на відміну
від останніх дозволяє більш потужне розширення аргументів. Вона може
розбирати довільні масиви в стилі argv[] та автоматично встановлювати
змінні в залежності від аргументів командної стрічки. Також вона
дозволяє створювати аліаси через конфігураційні файли та містить
функції для розбору довільних стрічок в масивах argv[] з використанням
шелл-подібних правил.

%package devel
Summary:	Header file and documentation for popt development
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla popt
Summary(ru.UTF-8):	Хедеры и библиотека, необходимые для программирования с popt
Summary(uk.UTF-8):	Хедери та бібліотека, необхідні для програмування з popt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file and documentation for popt development.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla popt.

%description devel -l ru.UTF-8
Этот пакет содержит библиотеку и хедеры, необходимые для разработки
программ, использующих popt.

%description devel -l uk.UTF-8
Цей пакет містить бібліотеку та хедери, необхідні для розробки
програм, що використовують popt.

%package static
Summary:	Static library for popt development
Summary(pl.UTF-8):	Biblioteka statyczna popt
Summary(ru.UTF-8):	Статические библиотеки popt
Summary(uk.UTF-8):	Статичні бібліотеки popt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for popt development.

%description static -l pl.UTF-8
Biblioteka statyczna popt.

%description static -l ru.UTF-8
Это отдельный пакет со статическими библиотеками, которые больше не
входят в popt-devel.

%description static -l uk.UTF-8
Це окремий пакет зі статичними бібліотеками, що більше не входять в
склад popt-devel.

%package dietlibc
Summary:	Static dietlibc library for popt development
Summary(pl.UTF-8):	Biblioteka statyczna dietlibc popt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description dietlibc
Static dietlibc library for popt development.

%description dietlibc -l pl.UTF-8
Biblioteka statyczna dietlibc popt.

%prep
%setup -q
%patch1 -p1

sed -i -e 's#po/Makefile.in intl/Makefile##g' configure.ac

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake} -i

%if %{with dietlibc}
%configure \
	CC="diet %{__cc} %{rpmcflags} %{rpmldflags} -Os -static" \
	ac_cv_func_stpcpy=yes \
	--enable-static \
	--disable-shared

%{__make} libpopt.la
mv -f .libs/libpopt.a diet-libpopt.a
%{__make} clean
%endif

%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}
%{?with_dietlibc:install -d $RPM_BUILD_ROOT%{dietlibdir}}

%{__make} install \
	pkgconfigdir=%{_pkgconfigdir} \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libpopt.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libpopt.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libpopt.so

%{?with_dietlibc:install diet-libpopt.a $RPM_BUILD_ROOT%{dietlibdir}/libpopt.a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) /%{_lib}/libpopt.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libpopt.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpopt.so
%{_libdir}/libpopt.la
%{_includedir}/popt.h
%{_pkgconfigdir}/popt.pc
%{_mandir}/man3/popt.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpopt.a

%if %{with dietlibc}
%files dietlibc
%defattr(644,root,root,755)
%{dietlibdir}/libpopt.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: popt.spec,v $
Revision 1.101  2010/05/23 17:56:29  arekm
- up to 1.16

Revision 1.100  2009/10/23 18:57:27  cactus
- up to 1.15

Revision 1.99  2009/03/23 14:10:51  baggins
- unify dietlibc compile options and calls

Revision 1.98  2009/03/18 16:19:14  baggins
- rel 2
- removed static_libs bcond
- added dietlibc package

Revision 1.97  2008/05/30 23:06:48  qboosh
- updated to 1.14

Revision 1.96  2007-12-20 19:58:52  qboosh
- ghost soname symlink, simplified .so link creation
- updated autoconf BR

Revision 1.95  2007-12-19 21:19:15  zbyniu
- up to 1.13, gettext0.11.patch obsoleted

Revision 1.94  2007-12-17 23:10:37  glen
- rel 3

Revision 1.93  2007-11-09 11:12:10  hawk
- release 2

Revision 1.92  2007-07-17 06:23:36  arekm
- up to 1.12

Revision 1.91  2007/06/27 09:13:56  arekm
- rel 4; more fixes from upstream. fixes rpmbuild --bcond fwbuilder.spec segfault

Revision 1.90  2007/06/15 22:16:18  qboosh
- removed obsolete libdir64 patch

Revision 1.89  2007/06/15 09:47:35  arekm
- rel 3; va fix

Revision 1.88  2007/06/15 06:38:46  arekm
- rel 2

Revision 1.87  2007/06/14 21:09:45  arekm
- up to 1.11

Revision 1.86  2007/05/21 21:54:24  qboosh
- updated to 1.10.9 (using rpm-4.4.9 sources)

Revision 1.85  2007/04/07 20:56:01  qboosh
- updated to 1.10.8 (using rpm-4.4.8 sources)
- updated gettext0.11 patch, removed obsolete pl.po patch

Revision 1.84  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.83  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.82  2006/11/27 17:12:11  megabajt
- updated to 1.10.7
- updated gettext0.11 and pl.po patches

Revision 1.81  2006/11/26 18:34:30  arekm
- rel 2

Revision 1.80  2006/04/17 15:26:28  qboosh
- updated to 1.10.6 (using rpm-4.4.6 sources)

Revision 1.79  2006/02/28 19:12:31  qboosh
- updated to 1.10.5 (using rpm-4.4.5 sources - no separate tarball yet)
- updated gettext0.11,pl.po patches
- removed values patch (obsolete since popt-1.6.1/rpm-4.0.1)

Revision 1.78  2005/12/14 21:41:10  qboosh
- updated to 1.10.4, updated gettext0.11 patch

Revision 1.77  2005/11/18 17:28:06  qboosh
- updated to 1.10.3, updated gettext0.11,pl.po patches

Revision 1.76  2005/08/21 21:23:26  arekm
- rel 2; rebuild to fix ppc

Revision 1.75  2005/07/23 11:09:22  qboosh
- updated to 1.10.2 (released separately again)
- updated gettext0.11 patch
- fixed License, added COPYING to doc

Revision 1.74  2005/06/17 19:19:20  twittner
- added bcond_without static_libs

Revision 1.73  2005/03/21 18:26:44  mmazur
- rel 2 for th

Revision 1.72  2005/02/18 10:09:59  qboosh
- updated to 1.10.1 (using rpm 4.4.1 sources); updated gettext0.11,pl.po patches

Revision 1.71  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.70  2004/10/13 10:51:55  mmazur
- rel 0.6 for th

Revision 1.69  2004/03/19 19:17:37  qboosh
- strict internal deps

Revision 1.68  2004/02/01 19:24:29  qboosh
- updated pl.po patch
- merged zh_CN patch and es fix into gettext0.11 patch
- release .5

Revision 1.67  2004/02/01 19:03:15  qboosh
- standardized locale dirs (no->nb abusing zh_CN patch)
- release .4

Revision 1.66  2004/01/16 09:52:49  jajcus
- Release: .3

Revision 1.65  2003/12/18 21:02:09  jajcus
- don't add '64' to libdir in 64-bit arch, it already has one

Revision 1.64  2003/10/12 15:59:05  blues
- too fast commit - rest of translations and cosmetics

Revision 1.63  2003/10/12 15:56:36  blues
- translations

Revision 1.62  2003/08/23 15:51:42  mmazur
- rel 0.snap.2 for ac

Revision 1.61  2003/06/10 08:17:53  qboosh
- there is no reason to link tests statically, so BR glibc-static can be avoided

Revision 1.60  2003/06/09 19:57:44  cieciwa
- added BR:glibc-staticpopt.spec

Revision 1.59  2003/06/08 22:00:04  qboosh
- cosmetics in pl.po patch and -devel description

Revision 1.58  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.57  2003/05/25 06:25:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.56  2003/05/17 23:20:46  wiget
- updated to 1.9 snap 20030515

Revision 1.55  2003/04/25 16:17:05  qboosh
- more pl.po patch updates, spec spell-checking

Revision 1.54  2003/03/28 08:41:02  wiget
- up to popt 1.8 from rpm test-4.2rc (20030322)

Revision 1.53  2003/01/31 11:41:57  qboosh
- zh_CN patch - rename zh_CN.GB2312 to just zh_CN (GB2312 is default for zh_CN)

Revision 1.52  2002/12/05 16:06:30  qboosh
- defined __gettextize to avoid popt+rpm build trap

Revision 1.51  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.50  2002/11/21 20:28:32  mmazur
- use only new __gettextize

Revision 1.49  2002/10/25 12:20:04  qboosh
- use absolute symlinks between directories; release 2

Revision 1.48  2002/10/23 22:42:18  qboosh
- added pl.po patch (Polish messages), updated gettext0.11 patch
- release 1

Revision 1.47  2002/10/22 10:07:57  qboosh
- more macros

Revision 1.46  2002/10/20 20:32:23  mmazur
- merge from DEVEL

Revision 1.39.2.3  2002/09/19 08:23:26  wiget
- updated to 1.7 (to match rpm 4.1)

Revision 1.39.2.2  2002/08/08 16:19:53  wiget
- now it compiles with new gettext
- release 2

Revision 1.39.2.1  2002/03/16 20:09:41  qboosh
- updated to 0.6.4

Revision 1.39  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/09/26 12:57:28  qboosh
- adapterized, BuildRequires: automake, libtool

Revision 1.35  2001/07/06 14:37:46  wiget
typo

Revision 1.34  2001/07/06 14:27:09  wiget
added patch from popt cvs; release 2

Revision 1.33  2001/03/18 23:17:35  kloczek
- updated to 1.6.2.

Revision 1.32  2001/03/18 21:39:19  agaran
looks like that is needed (if anyone have better idea for that..please fix it)

Revision 1.31  2000/12/13 17:24:12  kloczek
- release 2: do not use .gz sufix for man pages in %files.

Revision 1.30  2000/11/14 12:54:24  agaran
Popt requires autoconf for build

Revision 1.29  2000/10/20 01:57:38  kloczek
- updated to 1.6,
- new Source url,
- use new rpm automation.

Revision 1.28  2000/07/25 07:28:14  kloczek
- updated to 1.5.

Revision 1.27  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.24  2000/05/18 14:21:11  baggins
- buildrequires gettext-devel

Revision 1.23  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.21  2000/03/25 15:51:14  kloczek
- release 3,
- added run missing /sbin/ldconfig in %post, %postun,
- spec adapterized.

Revision 1.20  2000/03/17 19:18:22  mkochano
- Polish description.

Revision 1.19  1999/09/22 19:16:59  kloczek
- updated to 1.4.

Revision 1.18  1999/07/23 18:55:57  kloczek
- release 4,
- added using %%configure macro in %build,
- lib*.la moved to devel.

Revision 1.17  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [1.3-2]
- some macros,
- fixes for correct build,
- stripping of shared lib.

* Wed Apr 21 1999 Piotr Czerwiński <pius@pld.org.pl>
  [1.3-1]
- updated to 1.3,
- changed Group to Libraries,
- added Group(pl),
- DESTDIR instead of PREFIX in make install,
- added man pages in %files,
- gzipping man pages,
- ./configure moved from %setup to %build,
- added --disable-shared to configure options,
- added "rm -rf $RPM_BUILD_ROOT" in %install,
- cosmetic changes,
- recompiled on rpm 3.

* Sat Aug 15 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.1.1-3]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- added pl translation,
- global %defattr macro instead %attr macros in %files.
- start at RH spec.
